APIs / Google Forums / Search

Google Forums: Search

Search from Google Forums as JSON. 1 credit per successful call.

GET /v1/google-forums/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringRequiredUp to 2,000 characters
hlstringOptionalUp to 2 characters
glstringOptionalUp to 2 characters
google_domainstringOptionalUp to 50 characters
startintegerOptionalAny
pageintegerOptionalAny
numintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-forums/search?query=best+mechanical+keyboard" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.